
//   These CodeCheck rules generate a list of C functions called
//   and macro functions expanded for each function in a source file. 

//   Copyright (c) 1990-94 by Abraxas Software. All rights reserved.

//   Author: Loren Cobb, Abraxas Software.


if ( mod_begin )
	printf( "\n=============================\nSOURCE FILE %s.c\n", mod_name() );

if ( fcn_begin )
	printf( "\n_____________________________\nFUNCTION %s\n", fcn_name() );

if ( op_call )
	printf( "  %-20s  fcall\n", op_function() );

if ( op_macro_call )
	if ( lin_within_function )
		printf( "  %-20s  macro\n", op_macro() );

if ( mod_end )
	printf( "\n" );
