/* -----------------------------------------------------------------
	Copyright (c) 1988-93 by Abraxas Software.

	This is the start of a collection of CodeCheck rules for
	testing for portability from HP/Apollo C to ANSI standard C.

----------------------------------------------------------------- */

int		flag_std,	//  flag for std_$call function
		flag_att;	//	flag for __attribute and #attribute

if ( mod_begin )    // Make sure that Apollo keywords are allowed.
	{
	if ( option('K') != 9 )
		warn( 800, "Use option -K9 for HP/Apollo source code." );
	}

if ( keyword("std_$call") )
	flag_std = 1;

if ( keyword("__attribute") || keyword("#attribute") )
	flag_att = 1;

if ( dcl_function )
	{
	if ( flag_std )
		{
		warn( 801, "Change all calls to %s to standard C.", dcl_name() );
		flag_std = 0;
		}
	if ( flag_att )
		{
		warn( 802, "Change the declaration of %s to standard C.", dcl_name() );
		flag_att = 0;
		}
	}

if ( dcl_variable )
	if ( flag_att )
		{
		warn( 802, "Change the declaration of %s to standard C.", dcl_name() );
		flag_att = 0;
		}
