// File string.cc
// By Shuming Tan
// Copyright (C) 1994 by Abraxas Software. All rights reserved
// This rule is designed to detect possible problem of
// out of boundary when function strcpy and sprintf are
// called. For example,
// void func()
// {
//     char a[20],b[30];
//     char c[20],d[10];
//     strcpy(a,b);        Possible problem here
//     sprintf(c,"%s",d);
// }


int sizeofdest,sizeofsrc;
int func_strcpy,par_num;

if (op_open_funargs&&!op_declarator)
  if (strcmp(prev_token(),"strcpy")==0||strcmp(prev_token(),"sprintf")==0)
    func_strcpy=1;

if (idn_variable&&func_strcpy)
  if (par_num==0)
  {
    sizeofdest=idn_array_dim(0);
    par_num++;
  }
  else
  {
    if (par_num==1)
    { 
      sizeofsrc=idn_array_dim(0);
      par_num++;
      if (sizeofsrc>sizeofdest)
        warn(1000,"Possible Overwrite Here");
    }
 }

if (op_close_funargs&&func_strcpy)
{
  par_num=0;
  func_strcpy=0;
}
    

