/*
 *	Copyright (c) 1992-93 by Abraxas Software.
 *
 *	This is a SAMPLE rule file to illustrate how to measure
 *	the depth of nesting of for-, do-, and while-statements.
 *
 *	This technique may be useful for those who wish to enforce
 *	limits on the depth of nesting of iteration statements.
 *
 */

int		nesting;

if ( mod_begin )
	nesting = 0;

if ( keyword("for") || keyword("do") || keyword("while") )
	{
	warn( 1111, "Iteration nesting is now %d", ++nesting );
	if ( nesting > 3 )
		warn( 9999, "Iteration nesting exceeds limit (3)." );
	}

if ( stm_is_iter )
	--nesting;

if ( stm_end )
	warn( 2222, "Statement ends at iteration depth %d", nesting );
